ListPentestJobsForPentest - AWS Security Agent

ListPentestJobsForPentest

Returns a paginated list of pentest job summaries for the specified pentest configuration.

Request Syntax

POST /ListPentestJobsForPentest HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "maxResults": number, "nextToken": "string", "pentestId": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space.

Type: String

Required: Yes

maxResults

The maximum number of results to return in a single call.

Type: Integer

Required: No

nextToken

A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

Required: No

pentestId

The unique identifier of the pentest to list jobs for.

Type: String

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "pentestJobSummaries": [ { "createdAt": "string", "pentestId": "string", "pentestJobId": "string", "status": "string", "title": "string", "updatedAt": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

pentestJobSummaries

The list of pentest job summaries.

Type: Array of PentestJobSummary objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: